% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tools.R
\name{has_class}
\alias{has_class}
\title{Check for the specific class}
\usage{
has_class(.data, .class)
}
\arguments{
\item{.data}{Any R object.}

\item{.class}{Character vector. Specifies a class name to check against.}
}
\value{
Logical value.
}
\description{
A function to check if an input object has a specific class name.
}
\examples{
tmp <- "abc"
immunarch:::has_class(tmp, "new_class")
tmp <- immunarch:::add_class(tmp, "new_class")
immunarch:::has_class(tmp, "new_class")
}
\concept{utility_private}
